@echo off
:: # **************************************************************************************
:: # 
:: #  CompileJournal
:: #  
:: #  2014-05-22
:: #  Matthias Pfrang
:: #  WEISS GmbH Schweinfurt
:: # 
:: #  Inhalt:		Journal File kompelieren und signieren
:: #  Syntax:	compile_journal %file%
:: #
:: # **************************************************************************************
set FileName=%~n0
set ProgPath=%~dp0

if "%1" == "" goto no_journal

:: # --------------------------------------------------------------------------------------
:: # Variablen
:: # --------------------------------------------------------------------------------------
set UGII_BASE_DIR=C:\plm\nx8

:: # --------------------------------------------------------------------------------------
:: # Los gehts
:: # --------------------------------------------------------------------------------------
pushd %ProgPath%

echo.
echo Kompelieren...
echo.
set befehl=compilejournal.exe -f "%1" -o "%1.dll" -r true
echo %befehl%
%befehl%

echo.
echo Signieren...
echo.
set befehl=%ugii_base_dir%\ugii\SignLibrary.exe "%1.dll"
echo %befehl%
%befehl%

goto eof

:no_journal
:: # --------------------------------------------------------------------------------------
:: # Fehler: Kein Journal bergeben
:: # --------------------------------------------------------------------------------------
   cls
   echo.
   echo Es wurde kein JournalFile uebergeben!
   echo.
   pause
   
   
:eof